This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 14:10
Elapsed6m50s
Revision
Builder72aa1fe8-7422-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/6707b026-9960-477c-bbfa-9d8c611f2dff/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/6707b026-9960-477c-bbfa-9d8c611f2dff/targets/test
infra-commitc3269f485

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 14:10:20.889] process 30 exited with code 0 after 0.0m
I0401 14:10:20.889] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 14:10:20.890] Root: /workspace
I0401 14:10:20.890] cd to /workspace
I0401 14:10:20.890] Configure environment...
I0401 14:10:20.890] Call:  git show -s --format=format:%ct HEAD
W0401 14:10:20.895] fatal: not a git repository (or any of the parent directories): .git
I0401 14:10:20.895] process 43 exited with code 128 after 0.0m
W0401 14:10:20.895] Unable to print commit date for HEAD
I0401 14:10:20.896] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 14:10:21.438] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 14:10:22.135] process 44 exited with code 0 after 0.0m
I0401 14:10:22.136] Call:  gcloud config get-value account
I0401 14:10:23.018] process 57 exited with code 0 after 0.0m
I0401 14:10:23.019] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 14:10:23.019] Start 1245352724870991873 at ...
I0401 14:10:23.021] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_54AVot gs://kubernetes-jenkins/logs/metrics-kettle/1245352724870991873/started.json
I0401 14:10:26.093] process 70 exited with code 0 after 0.1m
I0401 14:10:26.093] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 14:10:26.121] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 14:17:00.449] ERROR: table k8s-gubernator:build.all is 31.2 hours old. Max allowed: 6 hours.
I0401 14:17:00.450] ERROR: table k8s-gubernator:build.week is 31.4 hours old. Max allowed: 6 hours.
I0401 14:17:00.450] ERROR: table k8s-gubernator:build.day is 30.9 hours old. Max allowed: 6 hours.
I0401 14:17:00.450] Collected data:
I0401 14:17:00.450] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 14:17:00.450] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 14:17:00.451] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 14:17:00.451] 
W0401 14:17:00.546] Traceback (most recent call last):
... skipping 22 lines ...
W0401 14:17:00.550]     self.send(msg)
W0401 14:17:00.550]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 14:17:00.550]     self.connect()
W0401 14:17:00.550]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 14:17:00.550]     conn = self._new_conn()
W0401 14:17:00.551]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 14:17:00.551]     self, "Failed to establish a new connection: %s" % e
W0401 14:17:00.551] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fa28878d358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 14:17:00.551] 
W0401 14:17:00.551] During handling of the above exception, another exception occurred:
W0401 14:17:00.551] 
W0401 14:17:00.551] Traceback (most recent call last):
W0401 14:17:00.551]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 14:17:00.551]     timeout=timeout
W0401 14:17:00.552]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 14:17:00.552]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 14:17:00.552]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 14:17:00.552]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 14:17:00.552] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fa28878d358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 14:17:00.552] 
W0401 14:17:00.552] During handling of the above exception, another exception occurred:
W0401 14:17:00.553] 
W0401 14:17:00.553] Traceback (most recent call last):
W0401 14:17:00.553]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 14:17:00.553]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 14:17:00.554]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 14:17:00.554]     resp = self.send(prep, **send_kwargs)
W0401 14:17:00.554]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 14:17:00.555]     r = adapter.send(request, **kwargs)
W0401 14:17:00.555]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 14:17:00.555]     raise ConnectionError(e, request=request)
W0401 14:17:00.555] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fa28878d358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 14:17:00.555] Traceback (most recent call last):
W0401 14:17:00.555]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 14:17:00.556]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 14:17:00.556]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 14:17:00.556]     check(*cmd)
W0401 14:17:00.556]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 14:17:00.556]     subprocess.check_call(cmd)
W0401 14:17:00.556]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 14:17:00.556]     raise CalledProcessError(retcode, cmd)
W0401 14:17:00.556] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 14:17:00.557] Command failed
I0401 14:17:00.557] process 252 exited with code 1 after 6.6m
E0401 14:17:00.557] FAIL: metrics-kettle
I0401 14:17:00.557] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 14:17:01.038] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 14:17:01.661] process 256 exited with code 0 after 0.0m
I0401 14:17:01.662] Call:  gcloud config get-value account
I0401 14:17:02.543] process 268 exited with code 0 after 0.0m
I0401 14:17:02.544] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 14:17:02.544] Upload result and artifacts...
I0401 14:17:02.544] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245352724870991873
W0401 14:17:02.544] Missing local artifacts : /workspace/_artifacts
W0401 14:17:02.544] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 14:17:02.544] metadata not found or invalid, init with empty metadata
I0401 14:17:02.545] Call:  git rev-parse HEAD
W0401 14:17:02.550] fatal: not a git repository (or any of the parent directories): .git
E0401 14:17:02.551] Command failed
I0401 14:17:02.551] process 281 exited with code 128 after 0.0m
I0401 14:17:02.551] Call:  git rev-parse HEAD
I0401 14:17:02.555] process 282 exited with code 0 after 0.0m
I0401 14:17:02.556] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 14:17:04.014] process 283 exited with code 0 after 0.0m
I0401 14:17:04.015] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585746966456883'
... skipping 8 lines ...